Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.pkcs
Class RC2CBCParameter

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.pkcs.RC2CBCParameter

All Implemented Interfaces:
  DEREncodable

    public class RC2CBCParameter

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`RC2CBCParameter(ASN1Sequence seq)`
`RC2CBCParameter(byte[] iv)`
`RC2CBCParameter(int parameterVersion, byte[] iv)`

Method Summary
`static RC2CBCParameter` `getInstance(java.lang.Object o)`
`byte[]` `getIV()`
`java.math.BigInteger` `getRC2ParameterVersion()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RC2CBCParameter

    public RC2CBCParameter(byte[] iv)

### RC2CBCParameter

    public RC2CBCParameter(int parameterVersion,
                           byte[] iv)

### RC2CBCParameter

    public RC2CBCParameter(ASN1Sequence seq)

Method Detail

### getInstance

    public static RC2CBCParameter getInstance(java.lang.Object o)

### getRC2ParameterVersion

    public java.math.BigInteger getRC2ParameterVersion()

### getIV

    public byte[] getIV()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45